com.sun.java.xml.ns.javaee

## Class UserDataConstraintType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.UserDataConstraintType

-     public class UserDataConstraintType
      extends Object

  The user-data-constraintType is used to indicate how data communicated between the client and container should be protected. Used in: security-constraint

  Java-Klasse für user-data-constraintType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="user-data-constraintType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="transport-guarantee" type="{http://java.sun.com/xml/ns/javaee}transport-guaranteeType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected String` | `id`
    `protected TransportGuaranteeType` | `transportGuarantee`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserDataConstraintType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `TransportGuaranteeType` | `getTransportGuarantee()` Ruft den Wert der transportGuarantee-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setTransportGuarantee(TransportGuaranteeType value)` Legt den Wert der transportGuarantee-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### transportGuarantee

          protected TransportGuaranteeType transportGuarantee

    - #### id

          protected String id

  - ### Constructor Detail

    - #### UserDataConstraintType

          public UserDataConstraintType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getTransportGuarantee

          public TransportGuaranteeType getTransportGuarantee()

      Ruft den Wert der transportGuarantee-Eigenschaft ab.
      Returns:
        possible object is `TransportGuaranteeType`

    - #### setTransportGuarantee

          public void setTransportGuarantee(TransportGuaranteeType value)

      Legt den Wert der transportGuarantee-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TransportGuaranteeType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.